# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'myredditnews/version'

Gem::Specification.new do |spec|
  spec.name          = "myredditnews"
  spec.version       = Myredditnews::VERSION
  spec.authors       = ["Rudi Grinberg"]
  spec.email         = ["rudi.grinberg@gmail.com"]
  spec.description   = %q{Mirror your rss feeds into a subreddit}
  spec.summary = %q{This gem is a standalone program designed to mirror
your RSS feeds into your subreddits of choice. Runs in the background }
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "minitest"
  spec.add_dependency "snoo"
  spec.add_dependency "json"
  spec.add_dependency "doodle"
  spec.add_dependency "feedzirra"
  spec.add_dependency "nokogiri"
end
