require_relative '../../test_helper'

rss_url = "http://rss.cbc.ca/lineup/topstories.xml"

describe Myredditnews::Source do
  it 'can be created' do
    source = Myredditnews::Source.new do
      source rss_url
      name 'cbc'
    end
    source.source.must_equal rss_url
    source.name.must_equal "cbc"
  end
  it 'can fetch entries' do
    entries = Myredditnews::Source.new(source: rss_url).fetch
    (entries.size > 0).must_equal true
  end
end
