# Myredditnews

Want to get your reddit and rss feeds at the same place? Mirror your rss
feeds into a personal subreddit with this script.

## Installation

Add this line to your application's Gemfile:

    gem 'myredditnews'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install myredditnews

## Usage

First configure which feeds you'd like to follow and which subreddit
you'd like them to be sent.

```
require 'myredditnews'

mrn = Myreddinews::App.new
  username 'foobar'
  password 'hunter2'
  history '~/.mrn'
  source 'http://feeds.bbci.co.uk/news/world/rss.xml'
  source 'http://feeds.bbci.co.uk/news/rss.xml' do
    name 'breaking news'
  end
  target_subreddit 'my_personal_news' # r/my_personal_news
end

mrn.sync
```

Then run the script above as with a cron job. 

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
